Subject: Stagecoach LOI
From: [email-masked]
To: [email-masked]
Cc: [email-masked], [email-masked]
Date: Mon, 16 Apr 2001 11:45:00 -0700 (PDT)

Andrew,

Please find attached the latest version of the Stagecoach LOI.  I have gone 
over my changes with Gerald Nemec, but will not send this document out to TGP 
until I have your approval of it.  Jean is looking over a copy and will be 
the one signing it before it goes out to TGP.

In summary, the changes were made to the following sections:

? Price float section ) Article I, Section 3
? Term and Exclusivity ) Article II, Sections 1 and 2

Let me know if you are comfortable with this latest version of the LOI and I 
will send it out asap.

Thanks,

John